QGIS Application - Bug report #8213
Overwriting files when Print>Export to PDF
2013-07-04 09:40 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: fixed/implemented

Copied to github as #: 17027

Description

When exporting from a print template to PDF, resulting files are overwritten without asking. See also #4024
Warning: for Atlas, it would be cumbersome to ask users to confirm overwrite for each file, so probably an "overwrite all" option should

also be added.

History

#1 - 2013-07-05 07:59 AM - Daniel Vaz

Here, this bug don't occurs when saving only one file. When the user is using atlas, it is prompted where will the directory that will be saved the exported

files. One solution is verify the existence of files which has the same names of the exported layers, and then shows to the user what files will be replaced.

#2 - 2014-04-06 06:04 AM - Jiirgen Fischer
- Category changed from 33 to Map Composer/Printing

#3 - 2017-05-01 01:09 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#4 - 2018-02-24 01:40 PM - Paolo Cavallini
- Status changed from Open to Closed

- Description updated

- Resolution set to fixed/implemented

Apparently fixed in QGIS 3
